flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Harbs <harbs.li...@gmail.com>
Subject Re: [FlexJS] Mobile Depends on Flash 11.4?
Date Wed, 05 Jul 2017 06:30:31 GMT
Where is that from?

In build.properties I see this:

# flex-sdk-description values
release.name = Apache Flex (FlexJS)
# this is the version that appears in the flex-sdk-description <description> tag
# and on the package name.  This is the publicly known version of FlexJS
release.version = 0.9.0

# fb.release.version must start with 4 in order for FB to accept it.
# intellij seems to want it to be at least 4.6 in order to not use certain
# older plugins that have incompatible Java APIs.  We might as well keep
# the major/minor current with the version of FDB we are borrowing from
# the flex-sdk
# this property should only go in flex-sdk-description.xml <version> tag
fb.release.version = 4.14.1

# override on command line with -Dbuild.number=999 or in local.properties
build.number = 0

# Flash player version for which player global swc to use
playerglobal.version = 11.1

# AIR version number
air.version = 14.0

> On Jul 5, 2017, at 9:19 AM, Alex Harui <aharui@adobe.com.INVALID> wrote:
> 
> Which build?  The Ant build is set for
> 
> <property name="swf.version" value="17" />
>    <property name="playerglobal.version" value="11.4" />
> 
> -Alex
> 
> On 7/4/17, 12:14 AM, "yishayw" <yishayjobs@hotmail.com <mailto:yishayjobs@hotmail.com>>
wrote:
> 
>> I was having a problem building the Mobile package. It was complaining
>> about
>> line 151 in Camera.as which does camera.copyToByteArray(). Looking at the
>> docs [1], it looks like this method became available in flash 11.4 while
>> the
>> build is set to look for flash player 11.1 (under build.properties).
>> 
>> So I changed to flash 25.0 and rebuilt, and Mobile passed. The funny thing
>> is that after changing back to 11.1, the build now passes.
>> 
>> In short, it looks to me like the flash player requirement should be
>> updated
>> to 11.4.
>> 
>> What do you guys think?
>> 
>> [1]
>> https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fhelp.adobe <https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fhelp.adobe>
>> .com%2Fen_US%2FFlashPlatform%2Freference%2Factionscript%2F3%2Fflash%2Fmedi
>> a%2FCamera.html%23copyToByteArray&data=02%7C01%7C%7C9957eba96c8347ef190108
>> d4c2aee848%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636347503858534935
>> &sdata=t2FKQyYZBDQzz1E4L6FVOGYTZObeTGuBx3xIMI%2FfXUk%3D&reserved=0()
>> 
>> 
>> 
>> 
>> --
>> View this message in context:
>> https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fle <https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fle>
>> x-development.2333347.n4.nabble.com <http://x-development.2333347.n4.nabble.com/>%2FFlexJS-Mobile-Depends-on-Flash-11-4-
>> tp62811.html&data=02%7C01%7C%7C9957eba96c8347ef190108d4c2aee848%7Cfa7b1b5a
>> 7b34438794aed2c178decee1%7C0%7C0%7C636347503858534935&sdata=%2BRDJB%2BVoJU
>> AqIl1xxh6fniXZ4A5whl%2FFovxyZaaztfg%3D&reserved=0
>> Sent from the Apache Flex Development mailing list archive at Nabble.com <http://nabble.com/>.


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message